<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>towerwarspp.player (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="towerwarspp.player (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/network/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../towerwarspp/player/mcts/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;towerwarspp.player</h1>
<div class="docSummary">
<div class="block">The player package which implements all possible player Types.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/player/Adv1Player.html" title="class in towerwarspp.player">Adv1Player</a></td>
<td class="colLast">
<div class="block">Class implementing a simple Computer opponent that uses the moves returned by <a href="../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player">Adv2Player</a></td>
<td class="colLast">
<div class="block">Advanced AI enemy that uses a threading enabled implementation of the Monte Carlo tree search algorithm to decide
 on his move after the specified amount of time.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></td>
<td class="colLast">
<div class="block">Partial implementation of Player Interface that is used as Super-Class for specialized players (eg.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/player/HumanPlayer.html" title="class in towerwarspp.player">HumanPlayer</a></td>
<td class="colLast">
<div class="block">Class that implements a Human Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/player/NetPlayer.html" title="class in towerwarspp.player">NetPlayer</a></td>
<td class="colLast">
<div class="block">Implementation of the <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> Interface that can be used to offer any of the other <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>
 on a local RMI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/player/RndPlayer.html" title="class in towerwarspp.player">RndPlayer</a></td>
<td class="colLast">
<div class="block">Class that implements a Random Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/player/SimplePlayer.html" title="class in towerwarspp.player">SimplePlayer</a></td>
<td class="colLast">
<div class="block">Class that implements a simple AI opponent as specified in the project description.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/player/PlayerState.html" title="enum in towerwarspp.player">PlayerState</a></td>
<td class="colLast">
<div class="block">Enum class representing the different states a <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> can be in.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a></td>
<td class="colLast">
<div class="block">Class offering enums representing different play strategies and methods that implement those strategies.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package towerwarspp.player Description">Package towerwarspp.player Description</h2>
<div class="block">The player package which implements all possible player Types.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/network/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../towerwarspp/player/mcts/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
